// Karma configuration

module.exports = function (config) {
    config.set({
        basePath: '../..',
        frameworks: ['jasmine'],
        files: [
            'assets/test/dependencies/angular.js',
            'assets/test/dependencies/angular-mocks.js',
            'assets/test/dependencies/*.js',
            'assets/src/module.js',
            'assets/src/**/*.js',
            'assets/test/*-test.js'
        ],
        exclude: [
            'assets/test/*.conf.js'
        ],
        preprocessors: {},
        reporters: ['progress'],
        port: 9876,
        colors: true,
        logLevel: config.LOG_INFO,
        autoWatch: false,
        browsers: ['Firefox'],
        singleRun: true
    });
};
