#!/usr/bin/env node

/**
 * Test for dist.js
 * Runs with nodeunit.
 */

"use strict";

var dist = require('./dist'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, 'tmp');

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    done();
};

exports['Do distribute.'] = function (test) {
    dist({})({
        dest: tmpDir + '/foo/bar'
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};


