/**
 * This is example to use "apeman-ui-contrib-angular-locating".
 */

(function () {
    "use strict";

    angular
        .module('my-example-module', [
            'apeman-ui-contrib-angular-locating'
        ])
        .controller('ExampleCtrl', function (apLocationSearch) {
            // Work with hash bang params.

            apLocationSearch.set({
                foo: 'bar'
            });
            apLocationSearch.set('foo', 'bar');

            var foo = apLocationSearch.get('foo');

            // Get and delete 'foo'.
            var foo2 = apLocationSearch.consume('foo');

            apLocationSearch.delete('baz');
        });

})();